--- old/usr/src/lib/libc/port/locale/lmonetary.h	2013-06-16 17:44:34.118906394 +0000
+++ new/usr/src/lib/libc/port/locale/lmonetary.h	2013-06-16 17:44:34.130333392 +0000
@@ -2,6 +2,11 @@
  * Copyright (c) 2000, 2001 Alexey Zelkin <phantom@FreeBSD.org>
  * All rights reserved.
  *
+ * Copyright (c) 2011 The FreeBSD Foundation
+ * All rights reserved.
+ * Portions of this software were developed by David Chisnall
+ * under sponsorship from the FreeBSD Foundation.
+ *
  * Redistribution and use in source and binary forms, with or without
  * modification, are permitted provided that the following conditions
  * are met:
@@ -27,6 +32,8 @@
 #ifndef _LMONETARY_H_
 #define	_LMONETARY_H_
 
+#include "xlocale_private.h"
+
 struct lc_monetary_T {
 	const char	*int_curr_symbol;
 	const char	*currency_symbol;
@@ -51,7 +58,13 @@
 	const char	*int_n_sign_posn;
 };
 
-struct lc_monetary_T *__get_current_monetary_locale(void);
+struct xlocale_monetary {
+	struct xlocale_component header;
+	char *buffer;
+	struct lc_monetary_T locale;
+};
+
+struct lc_monetary_T *__get_current_monetary_locale(locale_t);
 int	__monetary_load_locale(const char *);
 
 #endif /* !_LMONETARY_H_ */
